
From: Paulo Marques <pmarques@grupopie.com>

This one liner fixes the bug of using ".word" to represent 16 bits
quantities, that made kallsyms produce gibberish on sparc.

Although it works on almost every platform except sparc, it should
really use ".short" or ".hword" to represent 16 bits on any platform.

Signed-Off-By: Paulo Marques <pmarques@grupopie.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/scripts/kallsyms.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN scripts/kallsyms.c~kallsyms-fix-sparc-gibberish scripts/kallsyms.c
--- 25/scripts/kallsyms.c~kallsyms-fix-sparc-gibberish	Wed Sep  8 14:35:12 2004
+++ 25-akpm/scripts/kallsyms.c	Wed Sep  8 14:35:12 2004
@@ -303,7 +303,7 @@ write_src(void)
 
 	output_label("kallsyms_token_index");
 	for (i = 0; i < 256; i++)
-		printf("\t.word\t%d\n", best_idx[i]);
+		printf("\t.short\t%d\n", best_idx[i]);
 	printf("\n");
 }
 
_
